<?php

namespace app\admin\controller;

use app\common\logic\Game as lGame;

class Game extends Base
{


    /**
     * @游戏中心
     *
     * @author: zsl
     * @since: 2021/3/10 11:20
     */
    public function center()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lGame = new lGame();
            return json($lGame -> center($param));
        }
        return false;
    }


    /**
     * @申请游戏
     *
     * @author: zsl
     * @since: 2021/3/11 10:09
     */
    public function apply()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lGame = new lGame();
            return json($lGame -> apply($param));
        }
        return false;
    }


    /**
     * @我的游戏
     *
     * @author: zsl
     * @since: 2021/3/11 11:18
     */
    public function my()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lGame = new lGame();
            return json($lGame -> my($param));
        }
        return false;
    }


    /**
     * @游戏打包
     *
     * @author: zsl
     * @since: 2021/3/11 16:14
     */
    public function package()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lGame = new lGame();
            return json($lGame -> package($param));
        }
        return false;
    }


}